Hacking Very niche and specific question regarding CCAPI and downgrading

Stephano

pessimism = Realism
OP
Member
Joined
Feb 18, 2016
Messages
1,570
Trophies
0
Location
Nowhere
XP
1,640
Country
United States
(I'm not trying to plague this section with stupid questions.)

So i'm one of the many who jumped on the recent 4.82 bandwagon and its been great. The only reason why i wanted to in the first place was to mess with Demon's Souls. There's a few things i'm still wanting to do with it but i'm having some trouble.

I would first like to say that i have a nor model second generation of the FAT PS3 with
  • No PS2 support
  • 2 USB ports

CCAPI
If you can answer this question, i'm assuming you know what CCAPI is so i'll move on. A few years ago, a renowned Demon's Souls hacker on YouTuber named Wulf2k9 created a function caller program for Demon's Souls that used CCAPI. When i learned this, i installed the newest version of CCAPI (2.70) only to find out the program requires .dll files from version 2.60 to run. Okay, so i remove 2.70 from my computer and install 2.60 and the program actually connects to my PS3. Sadly nothing works. On my PS3, i have version 2.70 installed. My assumption is that the program and PS3 can only talk if they are on the same version of 2.60.
Sadly, it seems that i can't install version 2.60 of CCAPI because my console is not supported. Does this mean my console itself is not supported or is it just my firmware? I'm assuming the latter. This brings me to...

Downgrading
This program was made long before the exploit for 4.XX consoles so i assume that most homebrew for PS3s are for 3.55 consoles. I don't know a lot about how the firmware of PS3s work unfortunately.
For example, my console was on 4.82 OFW and after i modded it, it became 4.81 Rebug. So am i still on 4.82 or 4.81? If someone can tell me that would be great.

So finally, How exactly do i downgrade my console from 4.82 (1?) to 3.55 OFW and then install CFW(?) and would CCAPI 2.60 work if i downgraded it to 3.55

If anyone was able to read all of that, i applaud you. If not, i don't blame you.
 
Last edited by Stephano,

Hking0036

Well-Known Member
Member
Joined
Sep 15, 2015
Messages
496
Trophies
0
XP
1,160
Country
United States
If you have the QA flag toggled you should be able to install any version you want so yes you can go to 3.55, granted it may be difficult to find a cfw for it these days. You're best off by looking at what the highest version CCAPI 2.6 supports (4.4x I believe) and getting that version of rebug directly. Also note that this will put you out of the ability to play games that require a higher fw like persona 5 or similar.
 

Stephano

pessimism = Realism
OP
Member
Joined
Feb 18, 2016
Messages
1,570
Trophies
0
Location
Nowhere
XP
1,640
Country
United States
If you have the QA flag toggled you should be able to install any version you want so yes you can go to 3.55, granted it may be difficult to find a cfw for it these days. You're best off by looking at what the highest version CCAPI 2.6 supports (4.4x I believe) and getting that version of rebug directly. Also note that this will put you out of the ability to play games that require a higher fw like persona 5 or similar.
I'm not worried about playing higher firmware games, all i care about it Demon's Souls.
What is the QA flag? I'm assuming that just lets me install any firmware (assuming its not too low to brick).
So what exactly do i downgrade? My OFW or do i just find an old version of Rebug (4.4x) and install that?
 

Hking0036

Well-Known Member
Member
Joined
Sep 15, 2015
Messages
496
Trophies
0
XP
1,160
Country
United States
I'm not worried about playing higher firmware games, all i care about it Demon's Souls.
What is the QA flag? I'm assuming that just lets me install any firmware (assuming its not too low to brick).
So what exactly do i downgrade? My OFW or do i just find an old version of Rebug (4.4x) and install that?
you should just be able to install a lower rebug version directly. The QA flag is the flag that lets you install any firmware, yes.
 

Stephano

pessimism = Realism
OP
Member
Joined
Feb 18, 2016
Messages
1,570
Trophies
0
Location
Nowhere
XP
1,640
Country
United States
you should just be able to install a lower rebug version directly. The QA flag is the flag that lets you install any firmware, yes.
As far as CCAPI goes, are you aware if the version on the PS3 and the computer need to match or have you had experience with a program working between two different versions?
 

SmellyPirateMonkey

Well-Known Member
Member
Joined
Sep 18, 2015
Messages
447
Trophies
0
Age
34
XP
301
Country
United States
(I'm not trying to plague this section with stupid questions.)

So i'm one of the many who jumped on the recent 4.82 bandwagon and its been great. The only reason why i wanted to in the first place was to mess with Demon's Souls. There's a few things i'm still wanting to do with it but i'm having some trouble.

I would first like to say that i have a nor model second generation of the FAT PS3 with
  • No PS2 support
  • 2 USB ports

CCAPI
If you can answer this question, i'm assuming you know what CCAPI is so i'll move on. A few years ago, a renowned Demon's Souls hacker on YouTuber named Wulf2k9 created a function caller program for Demon's Souls that used CCAPI. When i learned this, i installed the newest version of CCAPI (2.70) only to find out the program requires .dll files from version 2.60 to run. Okay, so i remove 2.70 from my computer and install 2.60 and the program actually connects to my PS3. Sadly nothing works. On my PS3, i have version 2.70 installed. My assumption is that the program and PS3 can only talk if they are on the same version of 2.60.
Sadly, it seems that i can't install version 2.60 of CCAPI because my console is not supported. Does this mean my console itself is not supported or is it just my firmware? I'm assuming the latter. This brings me to...

Downgrading
This program was made long before the exploit for 4.XX consoles so i assume that most homebrew for PS3s are for 3.55 consoles. I don't know a lot about how the firmware of PS3s work unfortunately.
For example, my console was on 4.82 OFW and after i modded it, it became 4.81 Rebug. So am i still on 4.82 or 4.81? If someone can tell me that would be great.

So finally, How exactly do i downgrade my console from 4.82 (1?) to 3.55 OFW and then install CFW(?) and would CCAPI 2.60 work if i downgraded it to 3.55

If anyone was able to read all of that, i applaud you. If not, i don't blame you.
I can't help with your issue but if you want to downgrade to 3.55 ps3scenefiles hosted the files last time I checked. Kmeaw, Rebug, and ps3 ultimate 3.55 CFW to name a couple.

Edit - I hope it's not against the rules to mention hosts of firmware files. If so I'm sorry

Sent from my toaster running Rebug
 
Last edited by SmellyPirateMonkey,

Hking0036

Well-Known Member
Member
Joined
Sep 15, 2015
Messages
496
Trophies
0
XP
1,160
Country
United States
As far as CCAPI goes, are you aware if the version on the PS3 and the computer need to match or have you had experience with a program working between two different versions?
Not a clue, I had a similar problem with a different game but didn't care enough to pursue it.
 

Zero72463

Well-Known Member
Member
Joined
Jun 27, 2016
Messages
1,383
Trophies
0
XP
1,496
Country
United States
I tried. I got an error saying the data was corrupted. And yes, i did have QA enabled.

Did you accidentally download and install D-REX (DEX) version? Or if you are on D-REX (DEX) version did you accidentally install REX (CEX) version (which shouldn't be a major problem)?
 
Last edited by Zero72463,

Zero72463

Well-Known Member
Member
Joined
Jun 27, 2016
Messages
1,383
Trophies
0
XP
1,496
Country
United States
REX.
I tried a lite edition of 4.76 and a full edition.

Try updating through recovery (safe) mode instead of from XMB. Google should give you the answer of how to get into recovery mode easily. (Update with the 4.76 version.)

If all else fails try installing OFW 3.55 (make sure you are on CEX/REX first) then from 3.55 install Rebug 3.55 then update to Rebug 4.76.
 
Last edited by Zero72463,

Stephano

pessimism = Realism
OP
Member
Joined
Feb 18, 2016
Messages
1,570
Trophies
0
Location
Nowhere
XP
1,640
Country
United States
Try updating through recovery (safe) mode instead of from XMB. Google should give you the answer of how to get into recovery mode easily. (Update with the 4.76 version.)

If all else fails try installing OFW 3.55 (make sure you are on CEX/REX first) then from 3.55 install Rebug 3.55 then update to Rebug 4.76.
Just tried, i got the same error after trying to update in recovery mode. "The data is corrupted. (8002F157)" :unsure:

It appears i'm stuck on 3.55 Rogero...

Edit: Am i just unlucky? Because every 3.55 firmware file i download says its 4.31 on my PS3. Am i crazy or do i have the wrong files?
 
Last edited by Stephano,

Hking0036

Well-Known Member
Member
Joined
Sep 15, 2015
Messages
496
Trophies
0
XP
1,160
Country
United States
Just tried, i got the same error after trying to update in recovery mode. "The data is corrupted. (8002F157)" :unsure:

It appears i'm stuck on 3.55 Rogero...

Edit: Am i just unlucky? Because every 3.55 firmware file i download says its 4.31 on my PS3. Am i crazy or do i have the wrong files?
May be worth a shot to check your flash drive. you should be able to install 3.55 OFW through system recovery. make sure to check the MD5/SHA1 listed here: http://www.psdevwiki.com/ps3/3.55_CEX

No clue if installing 3.55 rogero un-toggles the QA flag, I don't know how you would go about looking at that on 3.55.
 

Stephano

pessimism = Realism
OP
Member
Joined
Feb 18, 2016
Messages
1,570
Trophies
0
Location
Nowhere
XP
1,640
Country
United States
May be worth a shot to check your flash drive. you should be able to install 3.55 OFW through system recovery. make sure to check the MD5/SHA1 listed here: http://www.psdevwiki.com/ps3/3.55_CEX

No clue if installing 3.55 rogero un-toggles the QA flag, I don't know how you would go about looking at that on 3.55.
I actually downloaded the update from this wiki. Strange that my PS3 would display the update as 4.31. I guess its worth a shot to update. The worst that could happen is i would have to update back to 4.82 and install CFW from there. I won't get home for about 11 hours so it will be a while till i can try.
 

Stephano

pessimism = Realism
OP
Member
Joined
Feb 18, 2016
Messages
1,570
Trophies
0
Location
Nowhere
XP
1,640
Country
United States
May be worth a shot to check your flash drive. you should be able to install 3.55 OFW through system recovery. make sure to check the MD5/SHA1 listed here: http://www.psdevwiki.com/ps3/3.55_CEX

No clue if installing 3.55 rogero un-toggles the QA flag, I don't know how you would go about looking at that on 3.55.
Well..... I'm clueless. I can't even download 4.82 from the internet. It really seems like i'm stuck Rogero 3.55
 

Hking0036

Well-Known Member
Member
Joined
Sep 15, 2015
Messages
496
Trophies
0
XP
1,160
Country
United States
Well..... I'm clueless. I can't even download 4.82 from the internet. It really seems like i'm stuck Rogero 3.55
You might try getting 4.82 OFW and installing it through the recovery mode, then doing all of the ps3xploit stuff again as your last shot.
 

Stephano

pessimism = Realism
OP
Member
Joined
Feb 18, 2016
Messages
1,570
Trophies
0
Location
Nowhere
XP
1,640
Country
United States
You might try getting 4.82 OFW and installing it through the recovery mode, then doing all of the ps3xploit stuff again as your last shot.
I'm loosing my mind over this stuff. I cannot seem to get away from rogero 3.55.
I can't officially update or update at all.
Would a full system get me back to original 3.55 or not? I'm running out of ideas. :/

EDIT: I don't know how, but i finally got the button combo on Rogero to work and it is now installing official firmware 3.55...
 
Last edited by Stephano,

Hking0036

Well-Known Member
Member
Joined
Sep 15, 2015
Messages
496
Trophies
0
XP
1,160
Country
United States
I'm loosing my mind over this stuff. I cannot seem to get away from rogero 3.55.
I can't officially update or update at all.
Would a full system get me back to original 3.55 or not? I'm running out of ideas. :/

EDIT: I don't know how, but i finally got the button combo on Rogero to work and it is now installing official firmware 3.55...
Hopefully it worked out, that's quite a weird scenario to be stuck in and it's been a while since I've used 3.55 CFW.
 

You may also like...

General chit-chat
Help Users
  • M4x1mumReZ @ M4x1mumReZ:
    I'm happily more confident to do it myself without a kit.
    +1
  • K3N1 @ K3N1:
    And If you get a part that might be defective you'd need to wait longer and spend more
    +1
  • M4x1mumReZ @ M4x1mumReZ:
    Unless there are additions that need to be done.
    +1
  • M4x1mumReZ @ M4x1mumReZ:
    @K3N1,
    You're right.
    +1
  • K3N1 @ K3N1:
    Why it's better to buy directly from reputable sources
    +2
  • M4x1mumReZ @ M4x1mumReZ:
    Yes, and not from some shitty Chinese store.
    +1
  • M4x1mumReZ @ M4x1mumReZ:
    They are many repetable component stores to name such as RS Components.
    +1
  • M4x1mumReZ @ M4x1mumReZ:
    But then there's added tax to the mix.
    +1
  • M4x1mumReZ @ M4x1mumReZ:
    Makes them more expensive. :(
  • K3N1 @ K3N1:
    Rumors going around about USB4
  • M4x1mumReZ @ M4x1mumReZ:
    It has been discussed for quite a long time now.
    +1
  • K3N1 @ K3N1:
    It's about time for the upgrade
    +1
  • M4x1mumReZ @ M4x1mumReZ:
    I'm fine with everything USB wise.
    +1
  • Shape @ Shape:
    USB is fine, but shouldn't it be replaced with bulky, hard to use cables and all sorts of proprietary male-female connector port shapes?
    +1
  • Shape @ Shape:
    It's so frustrating to have one simple cable that you can plug in upside down for everything!!!
    +1
  • K3N1 @ K3N1:
    USB4 can do up to 40gbps I'd welcome it
    +1
  • K3N1 @ K3N1:
    From a Linus video it's essentially just a type c with an advanced chip
    +1
  • Shape @ Shape:
    40Gbps is just going to result in even more more lazy developers writing sub-optimal, lazy code.
    +2
  • K3N1 @ K3N1:
    How? That transfer speed is insane
    +1
  • K3N1 @ K3N1:
    That's like saying fast transfers is going to be the downfall of gaming
    +2
  • K3N1 @ K3N1:
    Then when devs that actually do take their time makes people cry over them taking their time and having to wait even longer
    +2
  • Shape @ Shape:
    Very astute observations, but you failed to take into account people like me who prefer devs to take their time despite longer waits and really, really dislike the suboptimal approaches many studios are taking with game development in this day and age. Catering to the customers with impatient impulses for instant-gratification is a super-profitable business strategy in the short term, sure, but it is an untenable business strategy in the longer term simply because you cannot guarantee you can produce a quality game in that timespan repeatedly. Therefore, you will have to abuse your workforce or partake in other inethical practices in order to compete in the marketplace and remain profitable.
    +1
  • K3N1 @ K3N1:
    Not really a fail the general public just doesn't know how to wait I don't see what faster transfer speeds have to do with that
    +2
  • K3N1 @ K3N1:
    That's why GTA games are so great because they have that 5-10 year wait and most new sports games are updated roasters they can't really do much improvement with them because not much their is to improve but on the other hand you get a new cod game every year and it makes millions per year so why stop the cash flow if people are dumb enough to buy every new game peryear
    K3N1 @ K3N1: That's why GTA games are so great because they have that 5-10 year wait and most new sports...